# CustomItemStack
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.itemstacks

## Class CustomItemStack

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.itemstacks.CustomItemStack

    public class CustomItemStack
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CustomItemStack(org.bukkit.Material mat, java.lang.Integer amount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomItemStack` `setDurability(int amount)`
`CustomItemStack` `setUnbreakable()`
`CustomItemStack` `withLore(java.util.List<java.lang.String> lore)`
`CustomItemStack` `withName(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomItemStack

    public CustomItemStack(org.bukkit.Material mat,
                           java.lang.Integer amount)

### Method Detail

#### setUnbreakable

    public CustomItemStack setUnbreakable()

#### withName

    public CustomItemStack withName(java.lang.String name)

#### withLore

    public CustomItemStack withLore(java.util.List<java.lang.String> lore)

#### setDurability

    public CustomItemStack setDurability(int amount)